<id>
Spoiler Tag for YaBB 2.4
</id>

<version>
1.5
</version>

<mod info>
Adds Spoiler Tag to YaBB 2.4

History
1.0 - Written by Derek Barnstorm for YaBB 2.2.3 - 30th July 2008
1.1 - Added to Intant Messages - 31st July 2008
1.2 - Added to Live Preview, Print Page and also added description function - 12th August 2008
1.3 - Updated for YaBB 2.3 - 14th October 2008
1.4 - Updated for YaBB 2.3.1 - 5th January 2009
1.5 - Updated for YaBB 2.4 - 15th April 2009

Files to edit
Admin/ModList.pl
Languages/English/InstantMessage.lng
Languages/English/Main.lng
Languages/English/Post.lng
Sources/InstantMessage.pl
Sources/MyCenter.pl
Sources/Post.pl
Sources/Printpage.pl
Sources/YaBBC.pl

ubbc.js
yabbc.js

default.css
yabb21.css
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$spoiler_mod = "Spoiler Tag|Derek Barnstorm|Adds Spoiler Tag to YaBB|1.5|15th April 2009";
	push (@installed_mods, "$spoiler_mod");
</add before>

<edit file>
Languages/English/InstantMessage.lng
</edit file>

<search for>
'84' => 'Code Ripped out',
</search for>

<add after>
'85' => 'Spoiler Ripped out',
</add after>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
1;
</search for>

<add before>

## spoiler text
%spoiler_txt	=(
'01' => 'Spoiler',
'02' => 'Show',
'03' => 'Hide',
'04' => 'for',
);

</add before>

<edit file>
Languages/English/Post.lng
</edit file>

<search for>
1;
</search for>

<add before>

## spoiler text
%spoiler_txt	=(
'01' => 'Spoiler',
'02' => 'Show',
'03' => 'Hide',
'04' => 'for',
'05' => 'Insert Spoiler',
);

</add before>

<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
			<div style="float: left; width: 440px;">
</search for>

<replace>
			<div style="float: left; width: 470px;">
</replace>

<search for>
			document.write('<div style="width: 437px; float: left;">');
</search for>

<replace>
		    document.write('<div style="width: 460px; float: left;">');
</replace>

<search for>
			document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' /><br />");
</search for>

<replace>
			document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' />");
            document.write("<img src='$modimgurl/SpoilerTag/spoiler.gif' onclick='spoiler();' "+HAND+" align='top' width='23' height='22' alt='$spoiler_txt{'05'}' title='spoiler_txt{'05'}' border='0' /><br />");
</replace>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
			undef $quotecount;
			undef $codecount;
</search for>

<add after>
		    undef $spoilercount;
</add after>

<search for>
			$quoteimg = '';
			$codeimg = '';
</search for>

<add after>
			$spoilerimg = '';
</add after>

<search for>
				if ($immessage =~ /\[code\]/isg) {
					$codeimg = qq~<img src="$imagesdir\/code1.gif" alt="$inmes_imtxt{'84'}" title="$inmes_imtxt{'84'}" \/>&nbsp;~;
					$immessage =~ s/\[code\](.+?)\[\/code\]//ig;
				}
</search for>

<add after>
			    if ($immessage =~ /\[spoiler\]/isg) {
				    $spoilerimg = qq~<img src="$modimgurl\/SpoilerTag/spoiler1.gif" alt="$inmes_imtxt{'85'}" title="$inmes_imtxt{'85'}" \/>&nbsp;~;
				    $immessage =~ s/\[spoiler\](.+?)\[\/spoiler\]//ig;
				}
				if ($immessage =~ /\[spoiler=([A-Za-z0-9# -,.]+)\]/isg) {
					$spoilerimg = qq~<img src="$modimgurl\/SpoilerTag/spoiler1.gif" alt="$inmes_imtxt{'85'}" title="$inmes_imtxt{'85'}" \/>&nbsp;~;
				    $immessage =~ s/\[spoiler=([A-Za-z0-9# -,.]+)\](.+?)\[\/spoiler\]//ig;
				}
</add after>

<search for>
				$immessage = qq~$quoteimg$codeimg $immessage~;
</search for>

<replace>
				$immessage = qq~$quoteimg$codeimg$spoilerimg $immessage~;
</replace>

<edit file>
Sources/Post.pl
</edit file>

<search for>
			<div style="float: left; width: 440px;">
</search for>

<replace>
			<div style="float: left; width: 470px;">
</replace>

<search for>
			document.write('<div style="width: 437px; float: left;">');
</search for>

<replace>
			document.write('<div style="width: 460px; float: left;">');
</replace>

<search for>
			document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' /><br />");
</search for>

<replace>
		    document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' />");
            document.write("<img src='$modimgurl/SpoilerTag/spoiler.gif' onclick='spoiler();' "+HAND+" align='top' width='23' height='22' alt='$spoiler_txt{'05'}' title='$spoiler_txt{'05'}' border='0' /><br />");
</replace>

<edit file>
Sources/Printpage.pl
</edit file>

<search for>
	$threadpost =~ s~\[move\](.*?)\[/move\]~$1~isg;
</search for>

<add after>
	$threadpost =~ s~\[spoiler\](.+?)\[/spoiler\]~<div class="message"><div style="padding-bottom: 1px;"><b>$spoiler_txt{'01'}:</b> <input type="button" class="button" value="$spoiler_txt{'02'}" onClick="if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';		this.innerText = ''; this.value = '$spoiler_txt{'03'}'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.innerText = ''; this.value = '$spoiler_txt{'02'}'; }"></div><div class="spoiler"><div style="display: none;">$1</div></div></div>~isg;
    $threadpost =~ s~\[spoiler=([A-Za-z0-9# -,.]+)\](.+?)\[/spoiler\]~<div class="message"><div style="padding-bottom: 1px;"><b>$spoiler_txt{'01'}</b> $spoiler_txt{'04'} <i>$1</i>: <input type="button" class="button" value="$spoiler_txt{'02'}" onClick="if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';		this.innerText = ''; this.value = '$spoiler_txt{'03'}'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.innerText = ''; this.value = '$spoiler_txt{'02'}'; }"></div><div class="spoiler"><div style="display: none;">$2</div></div></div>~isg;
</add after>

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
	$message =~ s~( |&nbsp;)*\[move\](.*?)\[/move\]~<marquee>$2</marquee>~isg;
</search for>

<add after>
    $message =~ s~\[spoiler\](.+?)\[/spoiler\]~<div class="message"><div style="padding-bottom: 1px;"><b>$spoiler_txt{'01'}:</b> <input type="button" class="button" value="$spoiler_txt{'02'}" onClick="if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';		this.innerText = ''; this.value = '$spoiler_txt{'03'}'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.innerText = ''; this.value = '$spoiler_txt{'02'}'; }"></div><div class="spoiler"><div style="display: none;">$1</div></div></div>~isg;
    $message =~ s~\[spoiler=([A-Za-z0-9# -,.]+)\](.+?)\[/spoiler\]~<div class="message"><div style="padding-bottom: 1px;"><b>$spoiler_txt{'01'}</b> $spoiler_txt{'04'} <i>$1</i>: <input type="button" class="button" value="$spoiler_txt{'02'}" onClick="if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';		this.innerText = ''; this.value = '$spoiler_txt{'03'}'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.innerText = ''; this.value = '$spoiler_txt{'02'}'; }"></div><div class="spoiler"><div style="display: none;">$2</div></div></div>~isg;
</add after>

<edit file>
ubbc.js
</edit file>

<search for>
function move() {
	AddSelText("[move]","[/move]");
}
</search for>

<add after>

function spoiler() {
	AddSelText("[spoiler]","[/spoiler]");
}

</add after>

<edit file>
yabbc.js
</edit file>

<search for>
	ubbcstr=ubbcstr.replace(/\[move\](.+?)\[\/move\]/ig, "<marquee>$1</marquee>");
</search for>

<add after>
    ubbcstr=ubbcstr.replace(/\[spoiler\](.*?)\[\/spoiler\]/ig, "<div class=\"message\"><div style=\"padding-bottom: 1px;\"><b>Spoiler:</b> <input type=\"button\" class=\"button\" value=\"Show\" onclick=\"if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';	this.innerText = ''; this.value = 'Hide'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.innerText = ''; this.value = 'Show'; }\"></div><div class=\"spoiler\"><div style=\"display: none;\">$1</div></div></div>");
	ubbcstr=ubbcstr.replace(/\[spoiler=([A-Za-z0-9# -,.]+)\](.*?)\[\/spoiler\]/ig, "<div class=\"message\"><div style=\"padding-bottom: 1px;\"><b>Spoiler</b> for <i>$1</i>: <input type=\"button\" class=\"button\" value=\"Show\" onclick=\"if (this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display != '') { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = '';	this.innerText = ''; this.value = 'Hide'; } else { this.parentNode.parentNode.getElementsByTagName('div')[1].getElementsByTagName('div')[0].style.display = 'none'; this.innerText = ''; this.value = 'Show'; }\"></div><div class=\"spoiler\"><div style=\"display: none;\">$2</div></div></div>");
</add after>

<edit file>
default.css
</edit file>

<search for>
.editbg {
	color: #000000;
	font-size: 11px;
	font-weight: normal;
	font-style: normal;
	font-family: Verdana, Helvetica, Arial, Sans-Serif;
	background-color: #FFFEDF;
	border: 1px #cc0000 solid;
	width: 90%;
	padding: 4px;
}
</search for>

<add after>
.spoiler {
	font-size: 12px;
	font-weight: normal;
	font-style: normal;
	font-family: Verdana, Helvetica, Arial, Sans-Serif;
	color: #304B58;
	border: 1px inset;
	width: 90%;
	padding: 4px;
}
</add after>

<edit file>
yabb21.css
</edit file>

<search for>
.editbg {
	color: #000000;
	font-size: 11px;
	font-weight: normal;
	font-style: normal;
	font-family: Verdana, Helvetica, Arial, Sans-Serif;
	background-color: #FFFEDF;
	border: 1px #CC0000 solid;
	width: 90%;
	padding: 4px;
}
</search for>

<add after>
.spoiler {
	font-size: 12px;
	font-weight: normal;
	font-style: normal;
	font-family: Verdana, Helvetica, Arial, Sans-Serif;
	color: #304B58;
	border: 1px inset;
	width: 90%;
	padding: 4px;
}
</add after>

